RDKit: RDKit::TopologicalTorsion::TopologicalTorsionArguments Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::TopologicalTorsion::TopologicalTorsionArguments Class Reference

`#include <TopologicalTorsionGenerator.h>`

Inheritance diagram for RDKit::TopologicalTorsion::TopologicalTorsionArguments:

## Public Member Functions
std::string | infoString () const override
| method that returns information string about the fingerprint specific argument set and the arguments themselves
void | toJSON (boost::property_tree::ptree &pt) const override
void | fromJSON (const boost::property_tree::ptree &pt) override
| TopologicalTorsionArguments (const bool includeChirality=false, const uint32_t torsionAtomCount=4, const bool countSimulation=true, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, const std::uint32_t fpSize=2048)
| Construct a new Topological Torsion Arguments object.
Public Member Functions inherited from RDKit::FingerprintArguments
| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1, bool includeChirality=false)
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values
virtual | ~FingerprintArguments ()
| FingerprintArguments ()=default

## Public Attributes
uint32_t | d_torsionAtomCount = 4
bool | df_onlyShortestPaths = false
Public Attributes inherited from RDKit::FingerprintArguments
bool | df_countSimulation = false
bool | df_includeChirality = false
std::vector< std::uint32_t > | d_countBounds
std::uint32_t | d_fpSize = 2048
std::uint32_t | d_numBitsPerFeature = 1

## Detailed Description

Definition at line 21 of file TopologicalTorsionGenerator.h.

## Constructor & Destructor Documentation

## ◆ TopologicalTorsionArguments()

RDKit::TopologicalTorsion::TopologicalTorsionArguments::TopologicalTorsionArguments | ( | const bool | includeChirality = false,
|  | const uint32_t | torsionAtomCount = 4,
|  | const bool | countSimulation = true,
|  | const std::vector< std::uint32_t > | countBounds = {1, 2, 4, 8},
|  | const std::uint32_t | fpSize = 2048 )

Construct a new Topological Torsion Arguments object.

Parameters

  includeChirality | if set, chirality will be used in sparse result
  torsionAtomCount | the number of atoms to include in the "torsions"
  useCountSimulation | if set, use count simulation while generating the fingerprint
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions

## Member Function Documentation

## ◆ fromJSON()

void RDKit::TopologicalTorsion::TopologicalTorsionArguments::fromJSON | ( | const boost::property_tree::ptree & | pt | ) |
| overridevirtual

Reimplemented from RDKit::FingerprintArguments.

## ◆ infoString()

std::string RDKit::TopologicalTorsion::TopologicalTorsionArguments::infoString | ( |  | ) | const
| overridevirtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implements RDKit::FingerprintArguments.

## ◆ toJSON()

void RDKit::TopologicalTorsion::TopologicalTorsionArguments::toJSON | ( | boost::property_tree::ptree & | pt | ) | const
| overridevirtual

Reimplemented from RDKit::FingerprintArguments.

## Member Data Documentation

## ◆ d_torsionAtomCount

uint32_t RDKit::TopologicalTorsion::TopologicalTorsionArguments::d_torsionAtomCount = 4

Definition at line 24 of file TopologicalTorsionGenerator.h.

## ◆ df_onlyShortestPaths

bool RDKit::TopologicalTorsion::TopologicalTorsionArguments::df_onlyShortestPaths = false

Definition at line 25 of file TopologicalTorsionGenerator.h.

The documentation for this class was generated from the following file:

- TopologicalTorsionGenerator.h